<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroRIO extends RegistroDIRF{
    
    private $_valorPago;
    private $_descricao;

    private function _geraRegistro($tpRegistro, $remuneracao){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2
        $this->_valorPago = 0;
        for ($mes = 1; $mes <= 13; $mes++) {
            $this->_valorPago += $remuneracao[$mes];
        }
        $this->atribuiDadoDirf($this->_valorPago, parent::NUMERICO);
        
        // Ordem 3
        $this->atribuiDadoDirf($this->_descricao);
    }

    public function geraRegistroRIO($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RIO, $remuneracao);
    }

    public function setValorPago($valorPago){
        $this->_valorPago = $valorPago;
    }
    public function setDescricao($descricao){
        $this->_descricao = $descricao;
    }

}